diff --git a/doc/src/sgml/recovery-config.sgml b/doc/src/sgml/recovery-config.sgml
index 4e1aa74c1f..7d0636d44e 100644
--- a/doc/src/sgml/recovery-config.sgml
+++ b/doc/src/sgml/recovery-config.sgml
@@ -270,10 +270,11 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         Specifies whether to stop just after the specified recovery target
         (<literal>true</literal>), or just before the recovery target
         (<literal>false</literal>).
-        Applies when either <xref linkend="recovery-target-time">
-        or <xref linkend="recovery-target-xid"> is specified.
+        Applies when either <xref linkend="recovery-target-lsn">,
+        <xref linkend="recovery-target-time"> or
+        <xref linkend="recovery-target-xid"> is specified.
         This setting controls whether transactions
-        having exactly the target commit time or ID, respectively, will
+        having exactly the target WAL location (LSN), commit time or ID, respectively, will
         be included in the recovery.  Default is <literal>true</literal>.
        </para>
       </listitem>
